Skip to content

Run Codexgate Thread

POST
/v1/admin/codexgate/threads/{thread_key}/run
curl --request POST \
--url https://example.com/v1/admin/codexgate/threads/example/run \
--header 'Content-Type: application/json' \
--data '{ "tenant_id": "default", "agent_key": "", "provider_key": "", "scenario_key": "", "notes": "", "publish": true, "dry_run": false }'
thread_key
required
Thread Key
string
x-pomerium-jwt-assertion
Any of:
string
Media typeapplication/json
CodexGateThreadRunRequestIn
object
tenant_id
Tenant Id
string
default: default
agent_key
Agent Key
string
""
provider_key
Provider Key
string
""
scenario_key
Scenario Key
string
""
notes
Notes
string
""
publish
Publish
boolean
default: true
dry_run
Dry Run
boolean

Successful Response

Media typeapplication/json
CodexGateRunOut
object
thread_key
required
Thread Key
string
run_id
required
Run Id
string
repo
required
Repo
string
agent_key
required
Agent Key
string
engine_key
required
Engine Key
string
runner_kind
Runner Kind
string
""
scenario_key
required
Scenario Key
string
status
required
Status
string
github_ref
Github Ref
string
""
pr_number
Any of:
integer
issue_number
Any of:
integer
merge_sha
Merge Sha
string
""
branch_name
Branch Name
string
""
proposal_id
Proposal Id
string
""
proposal_key
Proposal Key
string
""
pr_url
Pr Url
string
""
evidence_url
Evidence Url
string
""
artifact_path
Artifact Path
string
""
promotion_decision
Promotion Decision
string
default: promote
Allowed values: promote retire needs-human-rewrite
affected_dataset_keys
Affected Dataset Keys
Array<string>
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
publication
Any of:
CodexGateGitHubPublicationOut
object
mode
Mode
string
default: preview
Allowed values: preview github-app
transport_actor
Transport Actor
string
default: codexgate-app[bot]
repo
Repo
string
""
proposal_id
Proposal Id
string
""
proposal_key
Proposal Key
string
""
branch_name
Branch Name
string
""
head_sha
Head Sha
string
""
pr_title
Pr Title
string
""
pr_body
Pr Body
string
""
labels
Labels
Array<string>
summary_comment
Summary Comment
string
""
check_run_names
Check Run Names
Array<string>
pr_number
Any of:
integer
pr_url
Pr Url
string
""
comment_url
Comment Url
string
""
check_run_ids
Check Run Ids
Array<integer>
committed_paths
Committed Paths
Array<string>
pr_submission_policy
Pr Submission Policy
string
default: selective-agent-pr
pr_submission_pipeline
Pr Submission Pipeline
string
default: github-app-draft-pr
pr_submission_actor_agent_key
Pr Submission Actor Agent Key
string
""
affected_dataset_keys
Affected Dataset Keys
Array<string>
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
Example
{
"runner_kind": "",
"github_ref": "",
"merge_sha": "",
"branch_name": "",
"proposal_id": "",
"proposal_key": "",
"pr_url": "",
"evidence_url": "",
"artifact_path": "",
"promotion_decision": "promote",
"publication": {
"mode": "preview",
"transport_actor": "codexgate-app[bot]",
"repo": "",
"proposal_id": "",
"proposal_key": "",
"branch_name": "",
"head_sha": "",
"pr_title": "",
"pr_body": "",
"summary_comment": "",
"pr_url": "",
"comment_url": "",
"pr_submission_policy": "selective-agent-pr",
"pr_submission_pipeline": "github-app-draft-pr",
"pr_submission_actor_agent_key": ""
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}